Build error with VS2017 and xcode 10.1

PaulHudsonPaulHudson USMember

I am getting a build error with an existing Xamarin application in VS2017 (15.9.4). The build fails with the following message:
2>_CompileToNative:
2> Tool /Library/Frameworks/Xamarin.iOS.framework/Versions/Current/bin/mtouch execution started with arguments: @/Users/admin/Library/Caches/Xamarin/mtbs/builds/STOMPSubsMobile.iOS/79105e3aff40d04738d5447b8dbb90f4/obj/iPhone/Debug/response-file.rsp
2> Xamarin.iOS 12.2.1 using framework: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS12.1.sdk
2> Process exited with code 72, command:
2> /usr/bin/lipo /Users/admin/Library/Caches/Xamarin/mtbs/builds/STOMPSubsMobile.iOS/79105e3aff40d04738d5447b8dbb90f4/obj/iPhone/Debug/mtouch-cache/64/Output/STOMPSubsMobileiOS /Users/admin/Library/Caches/Xamarin/mtbs/builds/STOMPSubsMobile.iOS/79105e3aff40d04738d5447b8dbb90f4/obj/iPhone/Debug/mtouch-cache/32/Output/STOMPSubsMobileiOS -create -output /Users/admin/Library/Caches/Xamarin/mtbs/builds/STOMPSubsMobile.iOS/79105e3aff40d04738d5447b8dbb90f4/bin/iPhone/Debug/STOMPSubsMobileiOS.app/STOMPSubsMobileiOS
2> 2019-07-12 09:55:13.238 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IDEWatchSupportUI.ideplugin (com.apple.dt.IDEWatchSupportUI) not present
2> 2019-07-12 09:55:13.239 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IDEWatchSupportCore.ideplugin (com.apple.dt.IDEWatchSupportCore) not present
2> 2019-07-12 09:55:13.239 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IBCocoaTouchBuildSupport.ideplugin (com.apple.dt.IDE.IBCocoaTouchBuildSupport) not present
2> 2019-07-12 09:55:13.239 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for GPUDebuggerOSXSupport.ideplugin (com.apple.dt.gpu.GPUDebuggerOSXSupport) not present
2> 2019-07-12 09:55:13.239 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IDEOSXSupportCore.ideplugin (com.apple.dt.IDE.IDEOSXSupportCore) not present
2> 2019-07-12 09:55:13.240 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IDEOSXSupportUI.ideplugin (com.apple.dt.IDE.IDEOSXSupportUI) not present
2> 2019-07-12 09:55:13.240 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IBAppleTVBuildSupport.ideplugin (com.apple.dt.IDE.IBAppleTVBuildSupport) not present
2> 2019-07-12 09:55:13.240 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IDEInterfaceBuilderAppleTVIntegration.ideplugin (com.apple.dt.IDE.IDEInterfaceBuilderAppleTVIntegration) not present
2> 2019-07-12 09:55:13.241 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IDEInterfaceBuilderWatchKitIntegration.ideplugin (com.apple.dt.IDE.IDEInterfaceBuilderWatchKitIntegration) not present
2> 2019-07-12 09:55:13.241 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IDEInterfaceBuilderWatchKitBuildSupport.ideplugin (com.apple.dt.IDE.IDEInterfaceBuilderWatchKitBuildSupport) not present
2> 2019-07-12 09:55:13.241 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for GPUDebuggertvOSSupport.ideplugin (com.apple.dt.gpu.GPUDebuggertvOSSupport) not present
2> 2019-07-12 09:55:13.241 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IDEAppleTVSupportUI.ideplugin (com.apple.dt.IDEAppleTVSupportUI) not present
2> 2019-07-12 09:55:13.242 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IDEAppleTVSupportCore.ideplugin (com.apple.dt.IDEAppleTVSupportCore) not present
2> 2019-07-12 09:55:13.242 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for DVTAppleTVSupportCore.dvtplugin (com.apple.dt.DVTAppleTVSupportCore) not present
2> 2019-07-12 09:55:13.242 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for GPUDebuggeriOSSupport.ideplugin (com.apple.dt.gpu.GPUDebuggeriOSSupport) not present
2> 2019-07-12 09:55:13.242 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for IDEiOSPlatformSupportCore.ideplugin (com.apple.dt.IDEiOSPlatformSupportCore) not present
2> 2019-07-12 09:55:13.243 xcodebuild[5225:4043000] [MT] DVTPlugInManager: Required plug-in compatibility UUID ACA8656B-FEA8-4B6D-8E4A-93F4C95C362C for iCloudSupportTouch.ideplugin (com.apple.dt.IDE.iCloudSupportTouch) not present
2> xcodebuild: error: Initialization failed.
2> ****Reason: Required content for platform watchOS is missing.**
**2> lipo: error: unable to find utility "lipo", not a developer tool or in PATH
2>
2>C:\Program Files (x86)\Microsoft Visual Studio\2017\Professional\MSBuild\Xamarin\iOS\Xamarin.iOS.Common.targets(795,3): error MT5306: Failed to create the a fat library. Please review the build log.

The application does not target watchOS; it is for the iPad only. It compiled fine with VS2017 15.9.2; the problem started after upgrading to VS2017 15.9.4 and xcode 10.1. Has anybody run into this problem? Thank you.

Posts

  • PaulHudsonPaulHudson USMember

    Found a fix - I had to remove Xcode and reinstall it from scratch.

Sign In or Register to comment.